
Redmine - Defect #11577

Can't use non-latin anchor in wiki

2012-08-03 10:25 - Andrey Ilyukhin

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 2.1.0   

Resolution: Fixed Affected version: 2.0.3

Description

On wiki pages if I user latin anchor it works great. But if I use non-latin (russian, for example) it renders to URL without text after #.

Link like [[Wiki#Тест]] renders to URL http://domain.ru/projects/foo/wiki/Wiki#.

Associated revisions

Revision 10206 - 2012-08-13 21:36 - Jean-Philippe Lang

Fixed: Can't use non-latin anchor in wiki (#11577).

Revision 10207 - 2012-08-14 02:30 - Toshi MARUYAMA

fix unit test fails on JRuby 1.6.7.2 (#11577)

History

#1 - 2012-08-03 13:55 - Etienne Massip

- Status changed from New to Confirmed

Works on redmine.org, not on trunk with PG and Ruby 1.9.3.

Please, what does your environment look like (see SubmittingBugs)?

#2 - 2012-08-03 14:10 - Etienne Massip

- Target version set to Candidate for next minor release

#3 - 2012-08-03 14:36 - Andrey Ilyukhin

Etienne Massip wrote:

Works on redmine.org, not on trunk with PG and Ruby 1.9.3.

Please, what does your environment look like (see SubmittingBugs)?

 I am sorry, I forgot it. Here it is.

redmine$ RAILS_ENV=production rake about

About your application's environment

Ruby version              1.9.3 (x86_64-linux)

RubyGems version          1.8.24

Rack version              1.4

Rails version             3.2.6

Active Record version     3.2.6

Action Pack version       3.2.6

Active Resource version   3.2.6

Action Mailer version     3.2.6

Active Support version    3.2.6

Middleware                Rack::Cache, ActionDispatch::Static, Rack::Lock, #<ActiveSupport::Cache::Strategy::L

ocalCache::Middleware:0x000000015dbed8>,

Rack::Runtime, Rack::MethodOverride, ActionDispatch::RequestId, Rails::Rack::Logger, ActionDispatch::ShowExcep

tions, 

ActionDispatch::DebugExceptions,ActionDispatch::RemoteIp, ActionDispatch::Callbacks, ActiveRecord::ConnectionA

dapters::ConnectionManagement, 

ActiveRecord::QueryCache, ActionDispatch::Cookies, ActionDispatch::Session::CookieStore, ActionDispatch::Flash
, ActionDispatch::ParamsParser, ActionDispatch::Head, 

Rack::ConditionalGet, Rack::ETag, ActionDispatch::BestStandardsSupport, OpenIdAuthentication

Application root          /var/opt/redmine

Environment               production

Database adapter          postgresql

Database schema version   20120422150750

 and PostgreSQL 9.1.2

#4 - 2012-08-13 21:36 - Jean-Philippe Lang

- Status changed from Confirmed to Closed

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 2.1.0

- Resolution set to Fixed

Fixed in r10206 for ruby1.9 only.

#5 - 2012-08-13 23:43 - Alexander Markelov

- File anchors_with_transliteration.patch added

- Status changed from Closed to Reopened

Please check the following patch. It generates anchors using universal transliteration and works with Ruby 1.8.7.

#6 - 2012-08-14 09:58 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Thanks but transliteration is kind of a workaround here, utf8 anchors are valid and should be preserved. The fix works with ruby1.8, ruby1.9 and jruby:

http://www.redmine.org/builds/index.html.

Files

anchors_with_transliteration.patch 2.13 KB 2012-08-13 Alexander Markelov
